%define name bonnie
%define version 1.0
%define release 6mdk

Summary: Unix filesystem performance benchmark
Name: %{name}
Version: %{version}
Release: %{release}
Source: ftp://sunsite.unc.edu/pub/Linux/system/Misc/bonnie.tar.bz2
Copyright: distributable
Group: System/Kernel and hardware
Prefix: /usr
BuildRoot: /var/tmp/%{version}-%{name}-root

%description
Bonnie is a popular filesystem benchmark which attempt to study
bottlenecks.

%prep
%setup -n bonnie

%build
gcc $RPM_OPT_FLAGS -o bonnie bonnie.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/{bin,man/man1}
install -s bonnie $RPM_BUILD_ROOT/%{prefix}/bin/bonnie
install bonnie.man $RPM_BUILD_ROOT/%{prefix}/man/man1/bonnie.1
bzip2 -9f $RPM_BUILD_ROOT/%{prefix}/man/man1/bonnie.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc bonnie.doc
%attr(755,root,root) %{prefix}/bin/bonnie
%{prefix}/man/man1/*

%changelog
* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0-6mdk
- group fix

* Sun Nov 28 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix group

* Thu Nov 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- initial release.
